## azure-uamqp-python 1.2.6

=== src/vendor/azure-uamqp-c/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)
project(uamqp)

FILE(READ ${CMAKE_CURRENT_LIST_DIR}/version.txt UAMQP_VERSION)

option(run_e2e_tests "set run_e2e_tests to ON to run e2e tests (default is OFF) [if possible, they are always built]" OFF)
option(run_unittests "set run_unittests to ON to run unittests (default is OFF)" OFF)
option(skip_samples "set skip_samples to ON to skip building samples (default is OFF)[if possible, they are always built]" OFF)
option(use_installed_dependencies "set use_installed_dependencies to ON to use installed packages instead of building dependencies from submodules" OFF)
option(memory_trace "set memory_trace to ON if memory usage is to be used, set to OFF to not use it" OFF)
option(use_custom_heap "use externally defined heap functions instead of the malloc family" OFF)

if(${use_custom_heap})
    add_definitions(-DGB_USE_CUSTOM_HEAP)
endif()

if(${no_logging})
    add_definitions(-DNO_LOGGING)
endif()

#do not add or build any tests of the dependencies
set(original_run_e2e_tests ${run_e2e_tests})
set(original_run_int_tests ${run_int_tests})
set(original_run_unittests ${run_unittests})

set(run_e2e_tests OFF)
set(run_int_tests OFF)
set(run_unittests OFF)

if(NOT ${use_installed_dependencies})
    if(${original_run_e2e_tests} OR ${original_run_unittests})
        if (NOT TARGET testrunnerswitcher)
            add_subdirectory(deps/azure-c-testrunnerswitcher)
        endif()
        if (NOT TARGET ctest)
            add_subdirectory(deps/azure-ctest)
        endif()
        if (NOT TARGET umock_c)
            add_subdirectory(deps/umock-c)
        endif()
    endif()
    if (NOT TARGET aziotsharedutil)
        add_subdirectory(deps/azure-c-shared-utility)
    endif()
endif()
include("dependencies.cmake")

# Include the common build rules for C shared utility
if(${use_installed_dependencies})
    include(deps/azure-c-shared-utility/configs/azure_iot_build_rules.cmake)
else()
    include(${SHARED_UTIL_FOLDER}/configs/azure_iot_build_rules.cmake)
endif()

set_platform_files(${SHARED_UTIL_FOLDER})

set(run_e2e_tests ${original_run_e2e_tests})
set(run_int_tests ${original_run_int_tests})
set(run_unittests ${original_run_unittests})

if(${memory_trace})
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)
endif()

option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" ON)
if(WIN32)
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" ON)
    option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" OFF)
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
else()
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" OFF)
    option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" ON)
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
endif()

# The native apple tlsio does not support socket_io
if(MACOSX AND NOT ${use_openssl})
    set(use_socketio OFF)
endif()

add_definitions(-DREFCOUNT_ATOMIC_DONTCARE)
add_definitions(-D__STDC_NO_ATOMICS__=1)


include_directories(${CMAKE_CURRENT_LIST_DIR}/inc)

if(WIN32)
    include_directories($ENV{OpenSSLDir}/include)
endif()

set(uamqp_h_files
    ./inc/azure_uamqp_c/amqp_definitions_role.h
    ./inc/azure_uamqp_c/amqp_definitions_sender_settle_mode.h
    ./inc/azure_uamqp_c/amqp_definitions_receiver_settle_mode.h
    ./inc/azure_uamqp_c/amqp_definitions_handle.h
    ./inc/azure_uamqp_c/amqp_definitions_seconds.h
    ./inc/azure_uamqp_c/amqp_definitions_milliseconds.h
    ./inc/azure_uamqp_c/amqp_definitions_delivery_tag.h
    ./inc/azure_uamqp_c/amqp_definitions_sequence_no.h
    ./inc/azure_uamqp_c/amqp_definitions_delivery_number.h
    ./inc/azure_uamqp_c/amqp_definitions_transfer_number.h
    ./inc/azure_uamqp_c/amqp_definitions_message_format.h
    ./inc/azure_uamqp_c/amqp_definitions_ietf_language_tag.h
    ./inc/azure_uamqp_c/amqp_definitions_fields.h
    ./inc/azure_uamqp_c/amqp_definitions_error.h
    ./inc/azure_uamqp_c/amqp_definitions_amqp_error.h
    ./inc/azure_uamqp_c/amqp_definitions_connection_error.h
    ./inc/azure_uamqp_c/amqp_definitions_session_error.h
    ./inc/azure_uamqp_c/amqp_definitions_link_error.h
    ./inc/azure_uamqp_c/amqp_definitions_open.h
    ./inc/azure_uamqp_c/amqp_definitions_begin.h
    ./inc/azure_uamqp_c/amqp_definitions_attach.h
    ./inc/azure_uamqp_c/amqp_definitions_flow.h
    ./inc/azure_uamqp_c/amqp_definitions_transfer.h
    ./inc/azure_uamqp_c/amqp_definitions_disposition.h
    ./inc/azure_uamqp_c/amqp_definitions_detach.h
    ./inc/azure_uamqp_c/amqp_definitions_end.h
    ./inc/azure_uamqp_c/amqp_definitions_close.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_code.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_mechanisms.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_init.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_challenge.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_response.h
    ./inc/azure_uamqp_c/amqp_definitions_sasl_outcome.h
    ./inc/azure_uamqp_c/amqp_definitions_terminus_durability.h
    ./inc/azure_uamqp_c/amqp_definitions_terminus_expiry_policy.h
    ./inc/azure_uamqp_c/amqp_definitions_node_properties.h
    ./inc/azure_uamqp_c/amqp_definitions_filter_set.h
    ./inc/azure_uamqp_c/amqp_definitions_source.h
    ./inc/azure_uamqp_c/amqp_definitions_target.h
    ./inc/azure_uamqp_c/amqp_definitions_annotations.h
    ./inc/azure_uamqp_c/amqp_definitions_message_id_ulong.h
    ./inc/azure_uamqp_c/amqp_definitions_message_id_uuid.h
    ./inc/azure_uamqp_c/amqp_definitions_message_id_binary.h
    ./inc/azure_uamqp_c/amqp_definitions_message_id_string.h
    ./inc/azure_uamqp_c/amqp_definitions_address_string.h
    ./inc/azure_uamqp_c/amqp_definitions_header.h
    ./inc/azure_uamqp_c/amqp_definitions_delivery_annotations.h
    ./inc/azure_uamqp_c/amqp_definitions_message_annotations.h
    ./inc/azure_uamqp_c/amqp_definitions_application_properties.h
    ./inc/azure_uamqp_c/amqp_definitions_data.h
    ./inc/azure_uamqp_c/amqp_definitions_amqp_sequence.h
    ./inc/azure_uamqp_c/amqp_definitions_amqp_value.h
    ./inc/azure_uamqp_c/amqp_definitions_footer.h
    ./inc/azure_uamqp_c/amqp_definitions_properties.h
    ./inc/azure_uamqp_c/amqp_definitions_received.h
    ./inc/azure_uamqp_c/amqp_definitions_accepted.h
    ./inc/azure_uamqp_c/amqp_definitions_rejected.h
    ./inc/azure_uamqp_c/amqp_definitions_released.h
    ./inc/azure_uamqp_c/amqp_definitions_modified.h
    ./inc/azure_uamqp_c/amqp_definitions.h
    ./inc/azure_uamqp_c/amqp_frame_codec.h
    ./inc/azure_uamqp_c/amqp_management.h
    ./inc/azure_uamqp_c/amqp_types.h
    ./inc/azure_uamqp_c/amqpvalue.h
    ./inc/azure_uamqp_c/amqpvalue_to_string.h
    ./inc/azure_uamqp_c/async_operation.h
    ./inc/azure_uamqp_c/cbs.h
    ./inc/azure_uamqp_c/connection.h
    ./inc/azure_uamqp_c/frame_codec.h
    ./inc/azure_uamqp_c/header_detect_io.h
    ./inc/azure_uamqp_c/link.h
    ./inc/azure_uamqp_c/message.h
    ./inc/azure_uamqp_c/message_receiver.h
    ./inc/azure_uamqp_c/message_sender.h
    ./inc/azure_uamqp_c/messaging.h
    ./inc/azure_uamqp_c/sasl_anonymous.h
    ./inc/azure_uamqp_c/sasl_frame_codec.h
    ./inc/azure_uamqp_c/sasl_mechanism.h
    ./inc/azure_uamqp_c/sasl_server_mechanism.h
    ./inc/azure_uamqp_c/sasl_mssbcbs.h
    ./inc/azure_uamqp_c/sasl_plain.h
    ./inc/azure_uamqp_c/saslclientio.h
    ./inc/azure_uamqp_c/sasl_server_io.h
    ./inc/azure_uamqp_c/server_protocol_io.h
    ./inc/azure_uamqp_c/session.h
    ./inc/azure_uamqp_c/socket_listener.h
    ./inc/azure_uamqp_c/uamqp.h
)

set(uamqp_c_files
    ./src/amqp_definitions.c
    ./src/amqp_frame_codec.c
    ./src/amqp_management.c
    ./src/amqpvalue.c
    ./src/amqpvalue_to_string.c
    ./src/async_operation.c
    ./src/cbs.c
    ./src/connection.c
    ./src/frame_codec.c
    ./src/header_detect_io.c
    ./src/link.c
    ./src/message.c
    ./src/message_receiver.c
    ./src/message_sender.c
    ./src/messaging.c
    ./src/sasl_anonymous.c
    ./src/sasl_frame_codec.c
    ./src/sasl_mechanism.c
    ./src/sasl_server_mechanism.c
    ./src/sasl_mssbcbs.c
    ./src/sasl_plain.c
    ./src/saslclientio.c
    ./src/session.c
)

if(WIN32)
    set(socketlistener_c_files
        ./src/socket_listener_win32.c
    )
elseif(UNIX)
    set(socketlistener_c_files
        ./src/socket_listener_berkeley.c
    )
else()
    set(socketlistener_c_files
    )
endif()

add_library(uamqp
    ${uamqp_c_files}
    ${uamqp_h_files}
    ${socketlistener_c_files}
    )
setTargetBuildProperties(uamqp)

target_link_libraries(uamqp aziotsharedutil)

if (NOT ${skip_samples})
    add_subdirectory(samples)
endif()

if (${run_unittests})
    include("dependencies-test.cmake")
    add_subdirectory(tests)
endif()

# The following "set" statetement exports across the project a global variable
set(UAMQP_INC_FOLDER ${CMAKE_CURRENT_LIST_DIR}/inc CACHE INTERNAL "This is the include folder for UAMQP" FORCE)
set(UAMQP_SRC_FOLDER ${CMAKE_CURRENT_LIST_DIR}/src CACHE INTERNAL "This is the lib folder for UAMQP" FORCE)

# Set CMAKE_INSTALL_LIBDIR if not defined
include(GNUInstallDirs)

if(${use_installed_dependencies})
    # Install uamqp
    set(package_location "cmake")

    if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
        set(CMAKE_INSTALL_LIBDIR "lib")
    endif()

    install(TARGETS uamqp EXPORT uamqpTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/../bin
        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azureiot
    )
    install(FILES ${uamqp_h_files} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azureiot/azure_uamqp_c)

    include(CMakePackageConfigHelpers)

    write_basic_package_version_file(
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}ConfigVersion.cmake"
        VERSION ${UAMQP_VERSION}
        COMPATIBILITY SameMajorVersion
    )

    configure_file("configs/${PROJECT_NAME}Config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}Config.cmake"
        COPYONLY
    )

    install(EXPORT uamqpTargets
        FILE
            "${PROJECT_NAME}Targets.cmake"
        DESTINATION
            ${package_location}
    )

    install(
        FILES
            "configs/${PROJECT_NAME}Config.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}ConfigVersion.cmake"
        DESTINATION
            ${package_location}
    )
else()
    set(install_staticlibs
        uamqp
    )
    install(FILES ${uamqp_h_files}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/azure_uamqp_c)
    install(TARGETS ${install_staticlibs}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

compileTargetAsC99(uamqp)

=== src/vendor/azure-uamqp-c/samples/websockets_sample/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

add_executable(websockets_sample
    main.c
    iothub_certs.h
    iothub_certs.c)

compileTargetAsC99(websockets_sample)

include_directories(.)

if(WIN32)
    #windows needs this define
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)

if(WINCE)
	target_link_libraries(websockets_sample
		uamqp aziotsharedutil secur32)
else()
	target_link_libraries(websockets_sample
		uamqp aziotsharedutil ws2_32 secur32)
endif()

else()
    target_link_libraries(websockets_sample	uamqp aziotsharedutil)
endif()

=== src/vendor/azure-uamqp-c/tests/sasl_anonymous_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(theseTestsName sasl_anonymous_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/sasl_anonymous.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/uamqp_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/tests/sasl_frame_codec_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(theseTestsName sasl_frame_codec_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/sasl_frame_codec.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/uamqp_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/tests/sasl_server_mechanism_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(theseTestsName sasl_server_mechanism_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/sasl_server_mechanism.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/uamqp_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/testtools/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

#this is CMakeLists for testtools. It does nothing, except loads other folders

include("../configs/azure_c_shared_utilityFunctions.cmake")

usePermissiveRulesForSamplesAndTests()

if(NOT ${use_installed_dependencies})
    add_subdirectory(ctest)
    add_subdirectory(testrunner)
    add_subdirectory(umock-c)
endif()

add_subdirectory(sal)
add_subdirectory(micromock)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/samples/iot_c_utility/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(iot_c_utility_c_files
    iot_c_utility.c
)

if (WIN32)
    #windows needs this define
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)
ENDIF(WIN32)

if (${use_http})
    add_definitions(-DUSE_HTTP)
endif()

add_executable(iot_c_utility ${iot_c_utility_c_files})

target_link_libraries(iot_c_utility
    aziotsharedutil
)

compileTargetAsC99(iot_c_utility)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/base64_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(theseTestsName base64_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/base64.c
../../src/strings.c
../../src/buffer.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/condition_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(theseTestsName condition_ut)

set(${theseTestsName}_test_files
	${theseTestsName}.c
)

set(${theseTestsName}_c_files
	${CONDITION_C_FILE}
	${LOCK_C_FILE}
	${THREAD_C_FILE}
)

if(UNIX) # linux & apple
    set(${theseTestsName}_c_files ${${theseTestsName}_c_files}
        ../../adapters/linux_time.c
    )
endif()

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

if(WIN32)
else()
    target_link_libraries(${theseTestsName}_exe pthread)
endif()

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/gballoc_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(theseTestsName gballoc_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
gballoc_undertest.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/httpapiex_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

if(NOT ${use_http})
	message(FATAL_ERROR "httpapiex_ut being generated without HTTP support")
endif()

set(theseTestsName httpapiex_ut )

include_directories(${SHARED_UTIL_REAL_TEST_FOLDER})

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/httpapiex.c
../real_test_files/real_vector.c
../real_test_files/real_crt_abstractions.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/httpapiexsas_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

if(NOT ${use_http})
	message(FATAL_ERROR "httpapiexsas_ut being generated without HTTP support")
endif()

set(theseTestsName httpapiexsas_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/httpapiexsas.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== debian/changelog ===
azure-uamqp-python (1.2.6-4) unstable; urgency=medium

  * Enable hardening+all and reproducible=+fixfilepath (Closes: #952555)

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Mar 2020 11:12:34 +0000

azure-uamqp-python (1.2.6-3) unstable; urgency=medium

  * Add autopkgtest support
  * Set VERBOSE=1 if terse is not passed, for CMake build
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:29 +0000

azure-uamqp-python (1.2.6-2) unstable; urgency=medium

  * Add patch to sort pyx files for input to cython, and to remove build
    path from the generated source file.
  * Append CPPFLAGS to CFLAGS, built-in uamqp library is built with CMake.
  * Restrict architecture to linux-any, other platforms are not supported.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2020 20:21:24 +0000

azure-uamqp-python (1.2.6-1) unstable; urgency=medium

  * Initial release. (Closes: #951670)

 -- Luca Boccassi <bluca@debian.org>  Wed, 19 Feb 2020 20:37:45 +0000

=== debian/control ===
Source: azure-uamqp-python
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: cmake,
               cython3,
               debhelper-compat (= 12),
               dh-python,
               libssl-dev,
               python3-all-dev,
               python3-certifi,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-setuptools,
               python3-six,
Standards-Version: 4.5.0
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-uamqp-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-uamqp-python
Vcs-Git: https://salsa.debian.org/python-team/modules/azure-uamqp-python.git
Testsuite: autopkgtest-pkg-python, autopkgtest

Package: python3-uamqp
Architecture: linux-any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Provides: ${python3:Provides},
Description: AMQP 1.0 client library for Python
 A cython client library for the AMQP 1.0 protocol, implemented using the Azure
 uAMQP library for C.

=== debian/rules ===
#!/usr/bin/make -f

# __FILE__ used in logging macros, so -fdebug-prefix-map is not enough,
# to make the build reproducible we need -ffile-prefix-map
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

# CMake is used to build the vendored uamqp library, which ignores CPPFLAGS
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
# For the CMake build
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export VERBOSE=1
endif

export PYBUILD_AFTER_CLEAN=rm -rf uamqp.egg-info uamqp/c_uamqp.c uamqp/c_uamqp.pyx

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-uamqp,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/azure-uamqp-python-?(\d\S+)\.tar\.gz/azure-uamqp-python_$1\.orig\.tar\.gz/ \
  https://github.com/Azure/azure-uamqp-python/tags .*/v-?(\d\S+)\.tar\.gz

## azure-uamqp-python 1.2.10

=== debian/changelog ===
azure-uamqp-python (1.2.10-1) unstable; urgency=medium

  * Merge tag 'v1.2.10' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Aug 2020 10:22:58 +0100

azure-uamqp-python (1.2.9-1) unstable; urgency=medium

  * Merge tag 'v1.2.9' into debian/sid
  * Remove Testsuite: autopkgtest from d/control

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Jul 2020 00:11:00 +0100

azure-uamqp-python (1.2.8-1) unstable; urgency=medium

  * Merge tag 'v1.2.8' into debian/sid
  * Drop repro.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 May 2020 12:06:36 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Homepage: https://github.com/Azure/azure-uamqp-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-uamqp-python
 Vcs-Git: https://salsa.debian.org/python-team/modules/azure-uamqp-python.git
-Testsuite: autopkgtest-pkg-python, autopkgtest
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-uamqp
 Architecture: linux-any

## azure-uamqp-python 1.2.12

=== debian/changelog ===
azure-uamqp-python (1.2.12-1) unstable; urgency=medium

  * Merge tag 'v1.2.12' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 12 Oct 2020 10:22:58 +0100

azure-uamqp-python (1.2.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'v1.2.11' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Tue, 06 Oct 2020 15:19:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: azure-uamqp-python
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luca Boccassi <bluca@debian.org>,
 Build-Depends: cmake,
                cython3,
@@ -17,8 +17,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Homepage: https://github.com/Azure/azure-uamqp-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/azure-uamqp-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/azure-uamqp-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-uamqp-python
+Vcs-Git: https://salsa.debian.org/python-team/packages/azure-uamqp-python.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-uamqp

## azure-uamqp-python 1.2.13

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

if (TARGET aziotsharedutil)
    RETURN()
endif()

project(azure_c_shared_utility)

FILE(READ ${CMAKE_CURRENT_LIST_DIR}/version.txt C_SHARED_VERSION)

# Include the common build rules for the C SDK
include(configs/azure_iot_build_rules.cmake)

#the following variables are project-wide and can be used with cmake-gui
option(run_unittests "set run_unittests to ON to run unittests (default is OFF)" OFF)
option(skip_samples "set skip_samples to ON to skip building samples (default is OFF)[if possible, they are always built]" OFF)
option(use_http "set use_http to ON if http is to be used, set to OFF to not use http" ON)
option(use_condition "set use_condition to ON if the condition module and its adapters should be enabled" ON)
option(use_wsio "set use_wsio to ON to build WebSockets support (default is ON)" ON)
option(nuget_e2e_tests "set nuget_e2e_tests to ON to generate e2e tests to run with nuget packages (default is OFF)" OFF)
option(use_installed_dependencies "set use_installed_dependencies to ON to use installed packages instead of building dependencies from submodules" OFF)
option(use_default_uuid "set use_default_uuid to ON to use the out of the box UUID that comes with the SDK rather than platform specific implementations" OFF)
option(run_e2e_tests "set run_e2e_tests to ON to run e2e tests (default is OFF). Chsare dutility does not have any e2e tests, but the option needs to exist to evaluate in IF statements" OFF)
option(use_builtin_httpapi "set use_builtin_httpapi to ON to use the built-in httpapi_compact that comes with C shared utility (default is OFF)" OFF)
option(use_cppunittest "set use_cppunittest to ON to build CppUnitTest tests on Windows (default is ON)" ON)
option(suppress_header_searches "do not try to find headers - used when compiler check will fail" OFF)
option(use_custom_heap "use externally defined heap functions instead of the malloc family" OFF)

if(${use_custom_heap})
    add_definitions(-DGB_USE_CUSTOM_HEAP)
endif()

if(WIN32)
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" ON)
    option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" OFF)
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
    option(use_etw "set use_etw to ON if ETW logging is to be used. Default is OFF" OFF)
    option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" ON)
else()
    option(use_schannel "set use_schannel to ON if schannel is to be used, set to OFF to not use schannel" OFF)
    if(MACOSX)
        option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" OFF)
        option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" OFF)
    else()
        option(use_openssl "set use_openssl to ON if openssl is to be used, set to OFF to not use openssl" ON)
        option(use_socketio "set use_socketio to ON if socketio is to be included in the library, set to OFF if a different implementation will be provided" ON)
    endif()
    option(use_wolfssl "set use_wolfssl to ON if wolfssl is to be used, set to OFF to not use wolfssl" OFF)
endif()

option(no_logging "disable logging (default is OFF)" OFF)

# The options setting for use_socketio is not reliable. If openssl is used, make sure it's on,
# and if apple tls is used then use_socketio must be off.
if (MACOSX)
    if (${use_openssl})
        set(use_socketio ON)
    else()
        # MACOSX only has native tls and open ssl, so this must be the native apple tls
        set(use_applessl ON)
        set(use_socketio OFF)
    endif()
endif()

if(${use_etw})
    #create res folder
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/res)

    #populate res folder with the ETW resources
    execute_process(COMMAND  ${CMAKE_CURRENT_LIST_DIR}/src/etw_provider_generate.cmd
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}/src
    )
endif()

option(build_as_dynamic "build the C Shared libaries as shared"  OFF)

if(${memory_trace})
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)
    add_definitions(-DGB_MEASURE_NETWORK_FOR_THIS -DGB_DEBUG_NETWORK)
endif()

if(${use_openssl})
    if("${OPENSSL_ROOT_DIR}" STREQUAL "" AND NOT ("$ENV{OpenSSLDir}" STREQUAL ""))
        set(OPENSSL_ROOT_DIR $ENV{OpenSSLDir} CACHE PATH "")
    endif()

    # If OpenSSL::SSL OR OpenSSL::Crypto are not set then you need to run
    # the find package for openssl
    if (NOT TARGET OpenSSL::SSL OR NOT TARGET OpenSSL::Crypto OR NOT ${OPENSSL_INCLUDE_DIR})
        find_package(OpenSSL REQUIRED)
    endif()
    include_directories(${OPENSSL_INCLUDE_DIR})
endif()

if(${use_applessl})
    # MACOSX only has native tls and open ssl, so use the native apple tls
    find_library(cf_foundation Foundation)
    find_library(cf_network CFNetwork)
endif()

if(${no_logging})
    add_definitions(-DNO_LOGGING)
endif()
# Start of variables used during install
set (LIB_INSTALL_DIR lib CACHE PATH "Library object file directory")

#Setup the platform files
include("${CMAKE_CURRENT_LIST_DIR}/configs/azure_c_shared_utilityFunctions.cmake")
set_platform_files(${CMAKE_CURRENT_LIST_DIR})

if(MSVC)
    if (WINCE)
        # WEC 2013 uses older VS compiler. Build some files as C++ files to resolve C99 related compile issues
        SET_SOURCE_FILES_PROPERTIES(${LOGGING_C_FILE} ${XLOGGING_C_FILE} src/map.c adapters/uniqueid_win32.c src/tlsio_schannel.c src/x509_schannel.c PROPERTIES LANGUAGE CXX)
        if (${use_httpapi_compact})
            SET_SOURCE_FILES_PROPERTIES(adapters/httpapi_compact.c PROPERTIES LANGUAGE CXX)
        else()
            SET_SOURCE_FILES_PROPERTIES(adapters/httpapi_wince.c PROPERTIES LANGUAGE CXX)
        endif()
    ELSE()
        if(${use_openssl})
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
        endif()
        if(${use_wolfssl})
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")

            # Disables error if a bit-field is used on non-integer variable
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4 /wd4214")
            set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /W4 /wd4214")
        endif()

    endif()
elseif(LINUX) #LINUX OR APPLE
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wformat=2 -Wformat-security")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wformat=2 -Wformat-security")
    if(${use_openssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
    endif()
    if(${use_wolfssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")
    endif()
    # Turn off warning that can not be fixed right now
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unused-variable -Wno-missing-braces -Wno-missing-field-initializers -Wno-format-nonliteral")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unused-variable -Wno-missing-braces -Wno-missing-field-initializers -Wno-format-nonliteral")
elseif(APPLE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wformat-security")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wformat-security")
    if(${use_openssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_OPENSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_OPENSSL")
    endif()
    if(${use_wolfssl})
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DUSE_WOLFSSL")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DUSE_WOLFSSL")
    endif()
endif()


include_directories(${UMOCK_C_INC_FOLDER})

#these are the C source files
set(source_c_files
./src/base32.c
./src/base64.c
./src/buffer.c
./src/connection_string_parser.c
./src/constbuffer.c
${LOGGING_C_FILE}
./src/crt_abstractions.c
./src/constmap.c
./src/doublylinkedlist.c
./src/gballoc.c
./src/gbnetwork.c
./src/gb_stdio.c
./src/gb_time.c
./src/gb_rand.c
./src/hmac.c
./src/hmacsha256.c
./src/xio.c
./src/singlylinkedlist.c
./src/map.c
./src/sastoken.c
./src/sha1.c
./src/sha224.c
./src/sha384-512.c
./src/strings.c
./src/string_token.c
./src/string_tokenizer.c
./src/uuid.c
./src/urlencode.c
./src/usha.c
./src/vector.c
${XLOGGING_C_FILE}
./src/optionhandler.c
./adapters/agenttime.c
${CONDITION_C_FILE}
${LOCK_C_FILE}
${PLATFORM_C_FILE}
${SOCKETIO_C_FILE}
${TICKCOUTER_C_FILE}
${THREAD_C_FILE}
${UNIQUEID_C_FILE}
${ENVIRONMENT_VARIABLE_C_FILE}
)

if(UNIX) #LINUX OR APPLE
    set(source_c_files ${source_c_files}
        ./adapters/linux_time.c
    )
endif()

if(${use_http})
    set(source_c_files ${source_c_files}
        ./src/httpapiex.c
        ./src/httpapiexsas.c
        ./src/httpheaders.c
        ${HTTP_C_FILE}
    )
endif()

if(${use_schannel})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_schannel.c
        ./adapters/x509_schannel.c
    )
endif()
# If SocketIO isn't used, then we need to substitute stubs for HTTP Proxy
# since it depends on SocketIO
if(${use_socketio})
    set(source_c_files ${source_c_files}
        ./src/http_proxy_io.c
    )
else()
    set(source_c_files ${source_c_files}
        ./src/http_proxy_stub.c
    )
endif()
if(${use_wolfssl})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_wolfssl.c
    )
endif()
if(${use_openssl})
    set(source_c_files ${source_c_files}
        ./adapters/tlsio_openssl.c
        ./adapters/x509_openssl.c
    )
endif()
if(${use_applessl})
    set(source_c_files ${source_c_files}
        ./pal/ios-osx/tlsio_appleios.c
        ./pal/tlsio_options.c
    )
    include_directories(./pal/ios-osx/)
endif()

#these are the C headers
set(source_h_files
./inc/azure_c_shared_utility/agenttime.h
./inc/azure_c_shared_utility/base32.h
./inc/azure_c_shared_utility/base64.h
./inc/azure_c_shared_utility/buffer_.h
./inc/azure_c_shared_utility/connection_string_parser.h
./inc/azure_c_shared_utility/crt_abstractions.h
./inc/azure_c_shared_utility/constmap.h
./inc/azure_c_shared_utility/condition.h
./inc/azure_c_shared_utility/const_defines.h
${LOGGING_H_FILE}
./inc/azure_c_shared_utility/doublylinkedlist.h
./inc/azure_c_shared_utility/envvariable.h
./inc/azure_c_shared_utility/gballoc.h
./inc/azure_c_shared_utility/gbnetwork.h
./inc/azure_c_shared_utility/gb_stdio.h
./inc/azure_c_shared_utility/gb_time.h
./inc/azure_c_shared_utility/gb_rand.h
./inc/azure_c_shared_utility/hmac.h
./inc/azure_c_shared_utility/hmacsha256.h
./inc/azure_c_shared_utility/http_proxy_io.h
./inc/azure_c_shared_utility/singlylinkedlist.h
./inc/azure_c_shared_utility/lock.h
./inc/azure_c_shared_utility/macro_utils.h
./inc/azure_c_shared_utility/map.h
./inc/azure_c_shared_utility/optimize_size.h
./inc/azure_c_shared_utility/platform.h
./inc/azure_c_shared_utility/refcount.h
./inc/azure_c_shared_utility/sastoken.h
./inc/azure_c_shared_utility/sha-private.h
./inc/azure_c_shared_utility/shared_util_options.h
./inc/azure_c_shared_utility/sha.h
./inc/azure_c_shared_utility/socketio.h
./inc/azure_c_shared_utility/stdint_ce6.h
./inc/azure_c_shared_utility/strings.h
./inc/azure_c_shared_utility/strings_types.h
./inc/azure_c_shared_utility/string_token.h
./inc/azure_c_shared_utility/string_tokenizer.h
./inc/azure_c_shared_utility/string_tokenizer_types.h
./inc/azure_c_shared_utility/tlsio_options.h
./inc/azure_c_shared_utility/tickcounter.h
./inc/azure_c_shared_utility/threadapi.h
./inc/azure_c_shared_utility/xio.h
./inc/azure_c_shared_utility/umock_c_prod.h
./inc/azure_c_shared_utility/uniqueid.h
./inc/azure_c_shared_utility/uuid.h

=== src/vendor/azure-uamqp-c/samples/eh_sender_with_sas_token_sample/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

add_executable(eh_sender_with_sas_token_sample
	main.c)

compileTargetAsC99(eh_sender_with_sas_token_sample)

#TODO: link to whatever else the platform has (now for windows it is just ws2_32)

include_directories(.)
include_directories(${SHARED_UTIL_INC_FOLDER})

if(WIN32)
	#windows needs this define
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
	add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)

if(WINCE)
	target_link_libraries(eh_sender_with_sas_token_sample
		uamqp aziotsharedutil secur32)
else()
	target_link_libraries(eh_sender_with_sas_token_sample
		uamqp aziotsharedutil ws2_32 secur32)
endif()

	if(${use_openssl})
		target_link_libraries(eh_sender_with_sas_token_sample
			$ENV{OpenSSLDir}/lib/ssleay32.lib $ENV{OpenSSLDir}/lib/libeay32.lib)

		file(COPY $ENV{OpenSSLDir}/bin/libeay32.dll DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/Debug)
		file(COPY $ENV{OpenSSLDir}/bin/ssleay32.dll DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/Debug)
	endif()
	if(${use_wolfssl})
		target_link_libraries(eh_sender_with_sas_token_sample $ENV{WolfSSLDir}/Debug/wolfssl.lib)
	endif()
else()
	target_link_libraries(eh_sender_with_sas_token_sample	uamqp aziotsharedutil ${OPENSSL_LIBRARIES})
endif()

=== src/vendor/azure-uamqp-c/samples/local_server_sample/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

add_executable(local_server_sample
	main.c)

compileTargetAsC99(local_server_sample)

include_directories(.)
if (WIN32)
	#windows needs this define
	add_definitions(-D_CRT_SECURE_NO_WARNINGS)
	add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)

if(WINCE)
	target_link_libraries(local_server_sample
		uamqp aziotsharedutil secur32)
else()
	target_link_libraries(local_server_sample
		uamqp aziotsharedutil ws2_32 secur32)
endif()

	if(${use_openssl})
		target_link_libraries(local_server_sample
			$ENV{OpenSSLDir}/lib/ssleay32.lib $ENV{OpenSSLDir}/lib/libeay32.lib)

		file(COPY $ENV{OpenSSLDir}/bin/libeay32.dll DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/Debug)
		file(COPY $ENV{OpenSSLDir}/bin/ssleay32.dll DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/Debug)
	endif()
	if(${use_wolfssl})
		target_link_libraries(local_server_sample $ENV{WolfSSLDir}/Debug/wolfssl.lib)
	endif()
else()
	target_link_libraries(local_server_sample uamqp aziotsharedutil ssl crypto)
endif()

=== src/vendor/azure-uamqp-c/tests/local_client_server_tcp_e2e/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(theseTestsName local_client_server_tcp_e2e)
set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/uamqp_tests" ADDITIONAL_LIBS uamqp)

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/tests/sasl_mechanism_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(theseTestsName sasl_mechanism_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../src/sasl_mechanism.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/uamqp_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/samples/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

function(add_sample_directory whatIsBuilding)
    add_subdirectory(${whatIsBuilding})

    set_target_properties(${whatIsBuilding}
               PROPERTIES
               FOLDER "C-Utility_Samples")
endfunction()

add_sample_directory(iot_c_utility)

if (NOT ("${ARCHITECTURE}" STREQUAL "ARM"))
    add_sample_directory(socketio_connect)
    add_sample_directory(tlsio_connect)
endif()

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

usePermissiveRulesForSamplesAndTests()

#this is CMakeLists.txt for the folder tests of C shared utility
set(SHARED_UTIL_REAL_TEST_FOLDER ${CMAKE_CURRENT_LIST_DIR}/real_test_files CACHE INTERNAL "this is what needs to be included when doing test sources" FORCE)

add_subdirectory(agenttime_ut)
add_subdirectory(base32_ut)
add_subdirectory(base64_ut)
add_subdirectory(buffer_ut)
if(${use_condition})
    add_subdirectory(condition_ut)
endif()
add_subdirectory(constbuffer_ut)
add_subdirectory(constmap_ut)
add_subdirectory(crtabstractions_ut)
add_subdirectory(doublylinkedlist_ut)
add_subdirectory(gballoc_ut)
add_subdirectory(gballoc_without_init_ut)
add_subdirectory(hmacsha256_ut)
if(${use_http})
    add_subdirectory(httpapiex_ut)
    add_subdirectory(httpapiexsas_ut)
    add_subdirectory(httpheaders_ut)
    add_subdirectory(httpapicompact_ut)
endif()
add_subdirectory(singlylinkedlist_ut)
add_subdirectory(lock_ut)
add_subdirectory(map_ut)
add_subdirectory(refcount_ut)
add_subdirectory(sastoken_ut)
add_subdirectory(connectionstringparser_ut)
if(WIN32)
    add_subdirectory(socketio_win32_ut)
    add_subdirectory(x509_schannel_ut)
    add_subdirectory(platform_win32_ut)
else()
    add_subdirectory(socketio_berkeley_ut)
endif()

#normally, with proper include paths, the below tests can be run under windows too.
if(${use_openssl})
    add_subdirectory(x509_openssl_ut)
endif()

add_subdirectory(string_tokenizer_ut)
add_subdirectory(string_token_ut)
add_subdirectory(strings_ut)
add_subdirectory(tickcounter_ut)
add_subdirectory(tlsio_options_ut)
add_subdirectory(uniqueid_ut)
add_subdirectory(uuid_ut)
add_subdirectory(urlencode_ut)
add_subdirectory(vector_ut)
add_subdirectory(xio_ut)
add_subdirectory(optionhandler_ut)

if(use_wolfssl)
    add_subdirectory(tlsio_wolfssl_ut)
endif()

if(use_wsio)
    add_subdirectory(uws_client_ut)
    add_subdirectory(uws_frame_encoder_ut)
    add_subdirectory(wsio_ut)
    add_subdirectory(ws_url_ut)
endif()

#Add adapters tests
add_subdirectory(tickcounter_freertos_ut)
if(use_cyclonessl AND WIN32)
    add_subdirectory(tlsio_cyclonessl_ut)
    add_subdirectory(tlsio_cyclonessl_socket_bsd_ut)
endif()

if(use_mbedtls)
    add_subdirectory(tlsio_mbedtls_ut)
endif()

add_subdirectory(utf8_checker_ut)
add_subdirectory(http_proxy_io_ut)
if(NOT DEFINED MACOSX)
    add_subdirectory(tlsio_esp8266_ut)
    add_subdirectory(socket_async_ut)
    add_subdirectory(dns_async_ut)
endif()

#Add template as reference for new tests
add_subdirectory(template_ut)

=== src/vendor/azure-uamqp-c/samples/message_sender_sample/mbed/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(shared_util_base_path ../../../deps/azure-c-shared-utility)
set(mbed_project_base "message_sender_sample" CACHE STRING "The item being built")
include (${shared_util_base_path}/tools/mbed_build_scripts/mbedbldtemplate.txt)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/build_all/mbed/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(shared_util_base_path ../..)
set(mbed_project_base "azure_c_shared_utility" CACHE STRING "The item being built")
include (${shared_util_base_path}/tools/mbed_build_scripts/mbedbldtemplate.txt)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/samples/tlsio_connect/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

set(tlsio_connect_c_files
    main.c
)

IF(WIN32)
    #windows needs this define
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DGB_MEASURE_MEMORY_FOR_THIS -DGB_DEBUG_ALLOC)
ENDIF(WIN32)

add_executable(tlsio_connect ${tlsio_connect_c_files})

target_link_libraries(tlsio_connect
    aziotsharedutil
)

if(${use_openssl} AND WIN32)
	file(COPY ${SSL_DLL} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
	file(COPY ${CRYPTO_DLL} DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
endif()

set_target_properties(tlsio_connect
    PROPERTIES
    FOLDER "azure_c_shared_utility_samples")

compileTargetAsC99(tlsio_connect)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/agenttime_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(theseTestsName agenttime_ut)

set(${theseTestsName}_test_files
${theseTestsName}.c
)

set(${theseTestsName}_c_files
../../pal/agenttime.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== src/vendor/azure-uamqp-c/deps/azure-c-shared-utility/tests/base32_ut/CMakeLists.txt ===
#Copyright (c) Microsoft. All rights reserved.
#Licensed under the MIT license. See LICENSE file in the project root for full license information.

cmake_minimum_required(VERSION 2.8.11)

set(theseTestsName base32_ut)

set(${theseTestsName}_test_files
    ${theseTestsName}.c
)

set(${theseTestsName}_c_files
    ../../src/base32.c
)

set(${theseTestsName}_h_files
)

build_c_test_artifacts(${theseTestsName} ON "tests/azure_c_shared_utility_tests")

compile_c_test_artifacts_as(${theseTestsName} C99)

=== debian/changelog ===
azure-uamqp-python (1.2.13-1) unstable; urgency=medium

  * Merge tag 'v1.2.13' into debian/sid
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Jan 2021 19:32:42 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pytest-asyncio <!nocheck>,
                python3-setuptools,
                python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: python
 Priority: optional
 Rules-Requires-Root: no
